/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.example.numberguess.wrapper;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.example.numberguess.handler.UserDataHandler.class)
public class UserDataWrapper extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
         
        IWrapperParamPostCheck post;
        
        // name
        if(!params.containsKey("name")) {
        pinfo  = new IWrapperParam("name", false, false, null, "java.lang.String", true);
          
        params.put("name", pinfo);
          
        post = new de.schlund.pfixcore.generator.postchecks.StringLength();
        pinfo.addPostChecker(post);
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMinLength("3");
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMaxLength("20");
    
        }  
        
      
        super.registerParams();
    }
    
    // name
    @PostCheck(
        type=de.schlund.pfixcore.generator.postchecks.StringLength.class,
        properties={
            @Property(name="minLength",value="3"),
            @Property(name="maxLength",value="20")
        }
    )
    public java.lang.String getName() {
        return (java.lang.String) gimmeParamForKey("name").getValue();
    }
    
    public void setStringValName(String v) {
        gimmeParamForKey("name").
          setStringValue(new String[] {v});
    }

    public void setName(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("name");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("name"), scode, null, null);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("name"), scode, args, level);
    }

    /**
      * @deprecated use addScodeName(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsName(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("name"), scode, args, null);
    }
        
}
  